Bug 3567 (int-87547)

Summary: Fix Flash plugin description to indicate correct version of Flash
Product: [Maemo Official Applications] Browser Reporter: Jonathan Greene <atmasphere>
Component: Plug-ins: FlashAssignee: unassigned <nobody>
Status: VERIFIED FIXED QA Contact: flash-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper, menggeertian
Version: 4.1.1 (4.2008.30-2)   
Target Milestone: 4.1.2   
Hardware: All   
OS: All   

Description Jonathan Greene (reporter) 2008-08-13 02:27:32 UTC
Just reflashed (updated) last night ... running 4.2008.30-2. 

I was browsing Facebook and discovered I now have an out dated version of flash
- 0.0.31 vs 0.0.47 which was required for some photo viewing.  As this is not
something we can adjust ourselves, I'm filing this bug in the hopes you'll be
able to update the ROM soon to support newer Flash versions.
Comment 1 Ryan Abel maemo.org 2008-08-13 03:00:22 UTC
The template is there for a reason. You're really going to have to be a lot
more specific when filing bugs.

What's the URL (if it's private, is there any way you can provide access to a
public address)? What's the exact error message you receive? Are you sure Flash
is enabled?
Comment 2 Jonathan Greene (reporter) 2008-08-13 03:10:16 UTC
(In reply to comment #1)
> The template is there for a reason. You're really going to have to be a lot
> more specific when filing bugs.
> 
> What's the URL (if it's private, is there any way you can provide access to a
> public address)? What's the exact error message you receive? Are you sure Flash
> is enabled?
> 


Sorry I meant to actually post this link to the screenshot I took -
http://www.flickr.com/photos/atmasphere/2758271894/  

Yes Flash is enabled.
Comment 3 timeless 2008-08-13 15:19:14 UTC
um, we want the url, you need to select the url from the browser's address
field

it's the thing that says "http://www.new.fac" at the bottom, copy the entire
thing and paste it into the URL field of this bug.
Comment 4 Andrew Flegg maemo.org 2008-08-13 15:42:15 UTC
Resolving as INVALID; changing to an enhancement request and rewording the
summary.

As I understand it (again, the fact you've not followed the bug template makes
this hard to be sure), Facebook now requires a later version of Flash from what
is shipped by Nokia. This is not related to an OS upgrade.

The version of Flash provided is the version of Flash provided: 9.0 r31 (can be
seen by going to `about:plugins' in the browser). Upgrades to this will come
when they come, and experience shows that bugs here are not the best way of
getting Nokia to update the third-party licenced software.

The way to fix your problem is to get Facebook to change their required version
of Flash and/or their auto-detection script.
Comment 5 timeless 2008-08-14 16:09:46 UTC
OK, we checked the sources and the flash player we ship is actually r48, not
r31. The person who was doing flash maintenance was new and probably didn't
realize how many places (3) in a certain file needed to be changed. There's an
official test page:
http://www.adobe.com//swf/software/flash/about/flashAbout_info_small.swf

which you can use to verify that we ship 48.

what follows is an interim (very non-certified) package which should "resolve"
the problem:
http://timeless.justdave.net/maemo/flash-player-r48-0.1.deb

Note that this package doesn't rely on any internal knowledge of flash. I wrote
it outside based on what I saw in about:plugins and using grep on a device.
Comment 6 Andre Klapper maemo.org 2008-08-15 15:43:16 UTC
This has been fixed internally (w33) and the fix will be made available in an
update (Sorry, I also don't know about release dates).

Internal comments:
"Actual result:
 Java Script 9,0,48,0
 Action Script: 9,0,48,0
 Plugin registered: Shockwave Flash 9.0 r48
Facebook.com works fine."
Comment 7 Jonathan Greene (reporter) 2008-08-15 17:00:56 UTC
I can't actually send the URL (and sorry for the delay).  The problem is with
the Share on Ovi application.  When you click it, there's a dynamic drop down
action that occurs which does not change the URL.  I just tested it on my Mac
vs the Tablet and that's what's happening.
Comment 8 Andre Klapper maemo.org 2008-08-27 02:10:15 UTC
Once again clarifying for my own list here:

Fixed in package
adobe-flashplayer 2.52-1
which is part of the internal build version
4.2008.34.

Any public update released with or after this build version will include the
fix. If you have some time, please verify the fix after the public update has
been released by marking this bug report as VERIFIED.
Comment 9 Andre Klapper maemo.org 2009-09-07 12:18:46 UTC
(Split Plug-Ins into "Flash" and "Others", hence correcting QA Contact.
Sorry for the noise.)